Page MenuHomePhabricator

GENDER support for mobile-frontend-logged-in-homepage-notification
Closed, ResolvedPublic

Event Timeline

Nemo_bis created this task.Aug 31 2015, 9:37 PM
Nemo_bis raised the priority of this task from to Normal.
Nemo_bis updated the task description. (Show Details)
Nemo_bis added projects: MobileFrontend, I18n.
Nemo_bis added a subscriber: Nemo_bis.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 31 2015, 9:37 PM
Jdlrobson lowered the priority of this task from Normal to Low.Sep 2 2015, 11:55 PM
Jdlrobson added a project: good first bug.
Jdlrobson added a subscriber: Jdlrobson.

Patch welcomed!

Nemo_bis raised the priority of this task from Low to Normal.Sep 3 2015, 6:13 AM

Respect of GENDER is policy and the maintainer's responsibility.

Jdlrobson lowered the priority of this task from Normal to Low.Sep 7 2015, 11:26 PM

Compared to other bugs set to normal this is low. It impacts only logged in users on the main page.

Nemo_bis raised the priority of this task from Low to Normal.Sep 10 2015, 7:39 AM

The main page is the most visited page; if this message didn't matter, then GENDER would not matter for any message, which is patently absurd.

Qgil lowered the priority of this task from Normal to Low.Sep 10 2015, 3:31 PM
Qgil added a subscriber: Qgil.

@Nemo_bis, please don't change the priority set by the maintainers, unless you plan to take the task and work on it. Explaining why you think this task should have a higher priority (as you are also doing) is correct, of course. My comment is only about the back and forth changing priorities, and is in line with https://www.mediawiki.org/wiki/Phabricator/Project_management#Setting_task_priorities

Nemo_bis raised the priority of this task from Low to High.Sep 28 2015, 6:16 AM

MediaWiki's policy is to respect the users' GENDER preferences, whatever individual developers might think about it. This bug is high priority even if MobileFrontend is so abandoned as to not be able to provide basic MediaWiki support; in that case, it suffices to know and other people will start caring for the abandoned extension, as always happens.

Change 241591 had a related patch set uploaded (by Nemo bis):
Add explicit GENDER support for mobile-frontend-logged-in-homepage-notification

https://gerrit.wikimedia.org/r/241591

Change 241591 merged by jenkins-bot:
Add explicit GENDER support for mobile-frontend-logged-in-homepage-notification

https://gerrit.wikimedia.org/r/241591

Nemo_bis closed this task as Resolved.Sep 28 2015, 7:08 AM
Nemo_bis claimed this task.
Qgil awarded a token.Sep 30 2015, 1:20 PM
Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptNov 15 2017, 8:08 PM